//apply mv-matrix
#version 430
layout (location = 0) in vec4 Position;

uniform mat4 ModelViewMatrix;

out vData {
	float TTL1;
	// additional vertex data goes here
} vertex;

void main() {
	gl_Position = ModelViewMatrix * vec4(Position.xyz, 1.0f); // no projection matrix here!
	vertex.TTL1 = Position.w;
}
